/*table.dataTable thead .sorting {*/
/*    background-repeat: no-repeat;*/
/*    background-position: center right;*/
/*    background-images: url("sort_both.png"); }*/
/*table.dataTable thead .sorting_asc {*/
/*    background-repeat: no-repeat;*/
/*    background-position: center right;*/
/*    background-images: url("sort_asc.png"); }*/
/*table.dataTable thead .sorting_desc {*/
/*    background-repeat: no-repeat;*/
/*    background-position: center right;*/
/*    background-images: url("sort_desc.png"); }*/
/*table.dataTable thead .sorting_asc_disabled {*/
/*    background-repeat: no-repeat;*/
/*    background-position: center right;*/
/*    background-images: url("sort_asc_disabled.png"); }*/
/*table.dataTable thead .sorting_desc_disabled {*/
/*    background-repeat: no-repeat;*/
/*    background-position: center right;*/
/*    background-images: url("sort_desc_disabled.png"); }*/

/*.dataTables_wrapper .dataTables_filter {*/
/*    width: 30rem; }*/
/*.dataTables_wrapper .dataTables_filter i {*/
/*    font-size: 2rem;*/
/*    float: left;*/
/*    margin-right: .5rem; }*/
/*.dataTables_wrapper .dataTables_filter input {*/
/*    width: calc(100% - 7rem); }*/
/*.dataTables_wrapper .dataTables_filter .btn-floating {*/
/*    margin-right: .5rem; }*/
/*.dataTables_wrapper .dataTables_info {*/
/*    font-size: .9rem;*/
/*    float: left; }*/
/*.dataTables_wrapper .dataTables_paginate {*/
/*    !*padding-top: 0.25em;*!*/
/*    }*/
/*.dataTables_wrapper .dataTables_paginate a {*/
/*    !*margin: 0 .5rem; *!*/
/*}*/
/*.dataTables_wrapper .dataTables_processing {*/
/*    position: absolute;*/
/*    top: 50%;*/
/*    left: 50%;*/
/*    width: 100%;*/
/*    height: 40px;*/
/*    margin-left: -50%;*/
/*    margin-top: -25px;*/
/*    padding-top: 20px;*/
/*    text-align: center;*/
/*    font-size: 1.2em;*/
/*    background-color: white;*/
/*    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(255, 255, 255, 0)), color-stop(25%, rgba(255, 255, 255, 0.9)), color-stop(75%, rgba(255, 255, 255, 0.9)), color-stop(100%, rgba(255, 255, 255, 0)));*/
/*    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);*/
/*    background: -moz-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);*/
/*    background: -ms-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);*/
/*    background: -o-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);*/
/*    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%); }*/
/*.dataTables_wrapper:after {*/
/*    visibility: hidden;*/
/*    display: block;*/
/*    content: "";*/
/*    clear: both;*/
/*    height: 0; }*/
/*@media screen and (max-width: 360px) {*/
/*.dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_paginate {*/
/*    float: none;*/
/*    text-align: center; }*/
/*.dataTables_wrapper .dataTables_paginate {*/
/*    margin-top: 0.5em; }*/
/*}*/
/*@media screen and (max-width: 768px) {*/
/*.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter {*/
/*    float: none;*/
/*    text-align: center; }*/
/*.dataTables_wrapper .dataTables_filter {*/
/*    margin-top: 0.5em; } }*/


/*.dataTables_wrapper .dataTables_info*/
/*{*/
/*    clear: both;*/
/*    padding-top: 0.755em;*/
/*}*/

/*.dataTables_paginate:after*/
/*{*/
/*    clear: both;*/
/*    content: "";*/
/*    display: block;*/
/*    height: 0;*/
/*    visibility: hidden;*/
/*}*/
/*.dataTables_paginate*/
/*{*/
/*    display: inline-flex;*/
/*    margin: 0;*/
/*    vertical-align: middle;*/
/*}*/
/*.dataTables_paginate:last-child*/
/*{*/
/*    margin-bottom: 0;*/
/*}*/
/*.dataTables_paginate:first-child*/
/*{*/
/*    margin-top: 0;*/
/*}*/
/*.dataTables_paginate*/
/*{*/
/*    font-size: 1rem;*/
/*}*/
/*.dataTables_paginate*/
/*{*/
/*    float: right !important;*/
/*    background:#ffffff none repeat scroll 0 0;*/
/*    border: 1px solid rgba(34, 36, 38, 0.15);*/
/*    border-radius: 0.285714rem;*/
/*    box-shadow: 0 1px 2px 0 rgba(34, 36, 38, 0.15);*/
/*    font-family: Lato,"Helvetica Neue",Arial,Helvetica,sans-serif;*/
/*    font-weight: 400;*/
/*    margin: 1rem 0;*/
/*    min-height: 2.85714em;*/
/*}*/
/*.dataTables_paginate .paginate_button:before*/
/*{*/
/*    background: rgba(34, 36, 38, 0.1) none repeat scroll 0 0;*/
/*    content: "";*/
/*    height: 100%;*/
/*    position: absolute;*/
/*    right: 0;*/
/*    top: 0;*/
/*    width: 1px;*/
/*}*/
/*.dataTables_paginate .paginate_button*/
/*{*/
/*    min-width: 3em;*/
/*    text-align: center;*/
/*}*/
/*.dataTables_paginate .paginate_button .disabled, .ui.paginate_button .paginate_button .disabled:hover*/
/*{*/
/*    background-color: transparent !important;*/
/*    color: rgba(40, 40, 40, 0.3);*/
/*    cursor: default;*/
/*}*/
/*.dataTables_paginate .paginate_button*/
/*{*/
/*    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;*/
/*    color: rgba(0, 0, 0, 0.87);*/
/*    font-weight: 400;*/
/*    line-height: 1;*/
/*    moz-user-select: none;*/
/*    padding: 0.928571em 1.14286em;*/
/*    position: relative;*/
/*    text-decoration: none;*/
/*    text-transform: none;*/
/*    transition: background 0.1s ease 0s, box-shadow 0.1s ease 0s, color 0.1s ease 0s;*/
/*    vertical-align: middle;*/
/*}*/
/*.dataTables_paginate span*/
/*{*/
/*    display: inherit;*/
/*}*/
/*.dataTables_paginate > .paginate_button:last-child*/
/*{*/
/*    border-radius: 0 0.285714rem 0.285714rem 0;*/
/*}*/
/*.dataTables_paginate > .paginate_button:last-child:before*/
/*{*/
/*    display: none;*/
/*}*/
/*.dataTables_paginate .paginate_button*/
/*{*/
/*    min-width: 3em;*/
/*    text-align: center;*/
/*}*/
/*.dataTables_paginate.icon.paginate_button i.icon*/
/*{*/
/*    vertical-align: top;*/
/*}*/
/*.dataTables_paginate .current.paginate_button*/
/*{*/
/*    background-color: rgba(0, 0, 0, 0.05);*/
/*    border-top: medium none;*/
/*    box-shadow: none;*/
/*    color: rgba(0, 0, 0, 0.95);*/
/*    padding-top: 0.928571em;*/
/*}*/
/*.dataTables_paginate .paginate_button.disabled, .dataTables_paginate .paginate_button.disabled:hover*/
/*{*/
/*    background-color: transparent !important;*/
/*    color: rgba(40, 40, 40, 0.3);*/
/*    cursor: default;*/
/*}*/
/*.dataTables_paginate a.paginate_button:hover*/
/*{*/
/*    background: rgba(0, 0, 0, 0.03);*/
/*    color: rgba(0, 0, 0, 0.95);*/
/*    cursor: pointer;*/
/*}*/


/*.dataTables_filter input*/
/*{*/
/*    background:#ffffff none repeat scroll 0 0;*/
/*    border: 1px solid rgba(34, 36, 38, 0.15);*/
/*    border-radius: 0.285714rem;*/
/*    box-shadow: none;*/
/*    color: rgba(0, 0, 0, 0.87);*/
/*    flex: 1 0 auto;*/
/*    font-family: Lato,"Helvetica Neue",Arial,Helvetica,sans-serif;*/
/*    height:1em;*/
/*    margin: 0;*/
/*    max-width: 100%;*/
/*    outline: 0 none;*/
/*    padding: .4em;*/
/*    text-align: left;*/
/*    transition: background-color 0.1s ease 0s, box-shadow 0.1s ease 0s, border-color 0.1s ease 0s;*/
/*}*/


/*table.dataTabledataTable{width:100%;margin:0 auto;clear:both;border-collapse:separate;border-spacing:0}table.dataTable thead th,table.dataTable tfoot th{font-weight:bold}table.dataTable thead th,table.dataTable thead td{padding:10px 18px;border-bottom:1px solid #111}table.dataTable thead th:active,table.dataTable thead td:active{outline:none}table.dataTable tfoot th,table.dataTable tfoot td{padding:10px 18px 6px 18px;border-top:1px solid #111}table.dataTable thead .sorting,table.dataTable thead .sorting_asc,table.dataTable thead .sorting_desc,table.dataTable thead .sorting_asc_disabled,table.dataTable thead .sorting_desc_disabled{cursor:pointer;*cursor:hand;background-repeat:no-repeat;background-position:center right}table.dataTable thead .sorting{background-images:url("../images/sort_both.png")}table.dataTable thead .sorting_asc{background-images:url("../images/sort_asc.png")}table.dataTable thead .sorting_desc{background-images:url("../images/sort_desc.png")}table.dataTable thead .sorting_asc_disabled{background-images:url("../images/sort_asc_disabled.png")}table.dataTable thead .sorting_desc_disabled{background-images:url("../images/sort_desc_disabled.png")}table.dataTable tbody tr{background-color:#ffffff}table.dataTable tbody tr.selected{background-color:#B0BED9}table.dataTable tbody th,table.dataTable tbody td{padding:8px 10px}table.dataTable.row-border tbody th,table.dataTable.row-border tbody td,table.dataTable.display tbody th,table.dataTable.display tbody td{border-top:1px solid #ddd}table.dataTable.row-border tbody tr:first-child th,table.dataTable.row-border tbody tr:first-child td,table.dataTable.display tbody tr:first-child th,table.dataTable.display tbody tr:first-child td{border-top:none}table.dataTable.cell-border tbody th,table.dataTable.cell-border tbody td{border-top:1px solid #ddd;border-right:1px solid #ddd}table.dataTable.cell-border tbody tr th:first-child,table.dataTable.cell-border tbody tr td:first-child{border-left:1px solid #ddd}table.dataTable.cell-border tbody tr:first-child th,table.dataTable.cell-border tbody tr:first-child td{border-top:none}table.dataTable.stripe tbody tr.odd,table.dataTable.display tbody tr.odd{background-color:#f9f9f9}table.dataTable.stripe tbody tr.odd.selected,table.dataTable.display tbody tr.odd.selected{background-color:#acbad4}table.dataTable.hover tbody tr:hover,table.dataTable.display tbody tr:hover{background-color:#f6f6f6}table.dataTable.hover tbody tr:hover.selected,table.dataTable.display tbody tr:hover.selected{background-color:#aab7d1}table.dataTable.order-column tbody tr>.sorting_1,table.dataTable.order-column tbody tr>.sorting_2,table.dataTable.order-column tbody tr>.sorting_3,table.dataTable.display tbody tr>.sorting_1,table.dataTable.display tbody tr>.sorting_2,table.dataTable.display tbody tr>.sorting_3{background-color:#fafafa}table.dataTable.order-column tbody tr.selected>.sorting_1,table.dataTable.order-column tbody tr.selected>.sorting_2,table.dataTable.order-column tbody tr.selected>.sorting_3,table.dataTable.display tbody tr.selected>.sorting_1,table.dataTable.display tbody tr.selected>.sorting_2,table.dataTable.display tbody tr.selected>.sorting_3{background-color:#acbad5}table.dataTable.display tbody tr.odd>.sorting_1,table.dataTable.order-column.stripe tbody tr.odd>.sorting_1{background-color:#f1f1f1}table.dataTable.display tbody tr.odd>.sorting_2,table.dataTable.order-column.stripe tbody tr.odd>.sorting_2{background-color:#f3f3f3}table.dataTable.display tbody tr.odd>.sorting_3,table.dataTable.order-column.stripe tbody tr.odd>.sorting_3{background-color:whitesmoke}table.dataTable.display tbody tr.odd.selected>.sorting_1,table.dataTable.order-column.stripe tbody tr.odd.selected>.sorting_1{background-color:#a6b4cd}table.dataTable.display tbody tr.odd.selected>.sorting_2,table.dataTable.order-column.stripe tbody tr.odd.selected>.sorting_2{background-color:#a8b5cf}table.dataTable.display tbody tr.odd.selected>.sorting_3,table.dataTable.order-column.stripe tbody tr.odd.selected>.sorting_3{background-color:#a9b7d1}table.dataTable.display tbody tr.even>.sorting_1,table.dataTable.order-column.stripe tbody tr.even>.sorting_1{background-color:#fafafa}table.dataTable.display tbody tr.even>.sorting_2,table.dataTable.order-column.stripe tbody tr.even>.sorting_2{background-color:#fcfcfc}table.dataTable.display tbody tr.even>.sorting_3,table.dataTable.order-column.stripe tbody tr.even>.sorting_3{background-color:#fefefe}table.dataTable.display tbody tr.even.selected>.sorting_1,table.dataTable.order-column.stripe tbody tr.even.selected>.sorting_1{background-color:#acbad5}table.dataTable.display tbody tr.even.selected>.sorting_2,table.dataTable.order-column.stripe tbody tr.even.selected>.sorting_2{background-color:#aebcd6}table.dataTable.display tbody tr.even.selected>.sorting_3,table.dataTable.order-column.stripe tbody tr.even.selected>.sorting_3{background-color:#afbdd8}table.dataTable.display tbody tr:hover>.sorting_1,table.dataTable.order-column.hover tbody tr:hover>.sorting_1{background-color:#eaeaea}table.dataTable.display tbody tr:hover>.sorting_2,table.dataTable.order-column.hover tbody tr:hover>.sorting_2{background-color:#ececec}table.dataTable.display tbody tr:hover>.sorting_3,table.dataTable.order-column.hover tbody tr:hover>.sorting_3{background-color:#efefef}table.dataTable.display tbody tr:hover.selected>.sorting_1,table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_1{background-color:#a2aec7}table.dataTable.display tbody tr:hover.selected>.sorting_2,table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_2{background-color:#a3b0c9}table.dataTable.display tbody tr:hover.selected>.sorting_3,table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_3{background-color:#a5b2cb}table.dataTable.no-footer{border-bottom:1px solid #111}table.dataTable.nowrap th,table.dataTable.nowrap td{white-space:nowrap}table.dataTable.compact thead th,table.dataTable.compact thead td{padding:4px 17px 4px 4px}table.dataTable.compact tfoot th,table.dataTable.compact tfoot td{padding:4px}table.dataTable.compact tbody th,table.dataTable.compact tbody td{padding:4px}table.dataTable th.dt-left,table.dataTable td.dt-left{text-align:left}table.dataTable th.dt-center,table.dataTable td.dt-center,table.dataTable td.dataTables_empty{text-align:center}table.dataTable th.dt-right,table.dataTable td.dt-right{text-align:right}table.dataTable th.dt-justify,table.dataTable td.dt-justify{text-align:justify}table.dataTable th.dt-nowrap,table.dataTable td.dt-nowrap{white-space:nowrap}table.dataTable thead th.dt-head-left,table.dataTable thead td.dt-head-left,table.dataTable tfoot th.dt-head-left,table.dataTable tfoot td.dt-head-left{text-align:left}table.dataTable thead th.dt-head-center,table.dataTable thead td.dt-head-center,table.dataTable tfoot th.dt-head-center,table.dataTable tfoot td.dt-head-center{text-align:center}table.dataTable thead th.dt-head-right,table.dataTable thead td.dt-head-right,table.dataTable tfoot th.dt-head-right,table.dataTable tfoot td.dt-head-right{text-align:right}table.dataTable thead th.dt-head-justify,table.dataTable thead td.dt-head-justify,table.dataTable tfoot th.dt-head-justify,table.dataTable tfoot td.dt-head-justify{text-align:justify}table.dataTable thead th.dt-head-nowrap,table.dataTable thead td.dt-head-nowrap,table.dataTable tfoot th.dt-head-nowrap,table.dataTable tfoot td.dt-head-nowrap{white-space:nowrap}table.dataTable tbody th.dt-body-left,table.dataTable tbody td.dt-body-left{text-align:left}table.dataTable tbody th.dt-body-center,table.dataTable tbody td.dt-body-center{text-align:center}table.dataTable tbody th.dt-body-right,table.dataTable tbody td.dt-body-right{text-align:right}table.dataTable tbody th.dt-body-justify,table.dataTable tbody td.dt-body-justify{text-align:justify}table.dataTable tbody th.dt-body-nowrap,table.dataTable tbody td.dt-body-nowrap{white-space:nowrap}table.dataTable,table.dataTable th,table.dataTable td{box-sizing:content-box}.dataTables_wrapper{position:relative;clear:both;*zoom:1;zoom:1}.dataTables_wrapper .dataTables_length{float:left}.dataTables_wrapper .dataTables_filter{float:right;text-align:right}.dataTables_wrapper .dataTables_filter input{margin-left:0.5em}.dataTables_wrapper .dataTables_info{clear:both;float:left;padding-top:0.755em}.dataTables_wrapper .dataTables_paginate{float:right;text-align:right;padding-top:0.25em}.dataTables_wrapper .dataTables_paginate .paginate_button{box-sizing:border-box;display:inline-block;min-width:1.5em;padding:0.5em 1em;margin-left:2px;text-align:center;text-decoration:none !important;cursor:pointer;*cursor:hand;color:#333 !important;border:1px solid transparent;border-radius:2px}.dataTables_wrapper .dataTables_paginate .paginate_button.current,.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{color:#333 !important;border:1px solid #979797;background-color:white;background:-webkit-gradient(linear, left top, left bottom, color-stop(0%, #fff), color-stop(100%, #dcdcdc));background:-webkit-linear-gradient(top, #fff 0%, #dcdcdc 100%);background:-moz-linear-gradient(top, #fff 0%, #dcdcdc 100%);background:-ms-linear-gradient(top, #fff 0%, #dcdcdc 100%);background:-o-linear-gradient(top, #fff 0%, #dcdcdc 100%);background:linear-gradient(to bottom, #fff 0%, #dcdcdc 100%)}.dataTables_wrapper .dataTables_paginate .paginate_button.disabled,.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active{cursor:default;color:#666 !important;border:1px solid transparent;background:transparent;box-shadow:none}.dataTables_wrapper .dataTables_paginate .paginate_button:hover{color:white !important;border:1px solid #111;background-color:#585858;background:-webkit-gradient(linear, left top, left bottom, color-stop(0%, #585858), color-stop(100%, #111));background:-webkit-linear-gradient(top, #585858 0%, #111 100%);background:-moz-linear-gradient(top, #585858 0%, #111 100%);background:-ms-linear-gradient(top, #585858 0%, #111 100%);background:-o-linear-gradient(top, #585858 0%, #111 100%);background:linear-gradient(to bottom, #585858 0%, #111 100%)}.dataTables_wrapper .dataTables_paginate .paginate_button:active{outline:none;background-color:#2b2b2b;background:-webkit-gradient(linear, left top, left bottom, color-stop(0%, #2b2b2b), color-stop(100%, #0c0c0c));background:-webkit-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);background:-moz-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);background:-ms-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);background:-o-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);background:linear-gradient(to bottom, #2b2b2b 0%, #0c0c0c 100%);box-shadow:inset 0 0 3px #111}.dataTables_wrapper .dataTables_paginate .ellipsis{padding:0 1em}.dataTables_wrapper .dataTables_processing{position:absolute;top:50%;left:50%;width:100%;height:40px;margin-left:-50%;margin-top:-25px;padding-top:20px;text-align:center;font-size:1.2em;background-color:white;background:-webkit-gradient(linear, left top, right top, color-stop(0%, rgba(255,255,255,0)), color-stop(25%, rgba(255,255,255,0.9)), color-stop(75%, rgba(255,255,255,0.9)), color-stop(100%, rgba(255,255,255,0)));background:-webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 25%, rgba(255,255,255,0.9) 75%, rgba(255,255,255,0) 100%);background:-moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 25%, rgba(255,255,255,0.9) 75%, rgba(255,255,255,0) 100%);background:-ms-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 25%, rgba(255,255,255,0.9) 75%, rgba(255,255,255,0) 100%);background:-o-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 25%, rgba(255,255,255,0.9) 75%, rgba(255,255,255,0) 100%);background:linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 25%, rgba(255,255,255,0.9) 75%, rgba(255,255,255,0) 100%)}.dataTables_wrapper .dataTables_length,.dataTables_wrapper .dataTables_filter,.dataTables_wrapper .dataTables_info,.dataTables_wrapper .dataTables_processing,.dataTables_wrapper .dataTables_paginate{color:#333}.dataTables_wrapper .dataTables_scroll{clear:both}.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody{*margin-top:-1px;-webkit-overflow-scrolling:touch}.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>th,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>td,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>th,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>td{vertical-align:middle}.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>th>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>td>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>th>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>td>div.dataTables_sizing{height:0;overflow:hidden;margin:0 !important;padding:0 !important}.dataTables_wrapper.no-footer .dataTables_scrollBody{border-bottom:1px solid #111}.dataTables_wrapper.no-footer div.dataTables_scrollHead table.dataTable,.dataTables_wrapper.no-footer div.dataTables_scrollBody>table{border-bottom:none}.dataTables_wrapper:after{visibility:hidden;display:block;content:"";clear:both;height:0}@media screen and (max-width: 767px){.dataTables_wrapper .dataTables_info,.dataTables_wrapper .dataTables_paginate{float:none;text-align:center}.dataTables_wrapper .dataTables_paginate{margin-top:0.5em}}@media screen and (max-width: 640px){.dataTables_wrapper .dataTables_length,.dataTables_wrapper .dataTables_filter{float:none;text-align:center}.dataTables_wrapper .dataTables_filter{margin-top:0.5em}}*/
#tableData_length select {
    display: unset;
    width: 50px;
}

#tableData_filter input {
    width: 65%;
}

#tableData_filter, #tableData_length {
    margin: 0 0 20px 0;
}

.dataTables_wrapper .dataTables_paginate .paginate_button{
    padding: unset !important;
}
select{
    border: none;
    box-shadow: 2px 2px 4px var(--shadowDarkColor3), -1px -1px 4px var(--shadowDarkColor4);
    margin: 0 3px;
    border-radius: 10px;
    min-width: 60px;
    -moz-appearance: none;
    text-indent: 0.01px;
    text-overflow: '';
}

button.dt-button, div.dt-button, a.dt-button{
     color: #fff;
    border-radius: 15px;
    background: var(--blueColor) !important;
    /*border: none;*/
 }

button.dt-button:hover, div.dt-button:hover, a.dt-button:hover{
    color: #fff;
    background: var(--blueDarkColor) !important;
    /*border: none;*/
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(-360deg);
    }
}

.spin {
    animation-name: spin;
    animation-duration: 2000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.loading-datatables{
    z-index: 99;
    height: 30px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    box-shadow: 1px 2px 4px var(--shadowDarkColor2);
    left: calc(50% - 100px);
    position: absolute;
    background: white;
    font-size: 12px;
    top: 90px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    color: white !important;
    font-weight: bold;
    border: none;
    background-color: var(--blueColor);
    border-radius: 5px;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, var(--blueColor)), color-stop(100%, var(--blueColor)));
    background: -webkit-linear-gradient(top, var(--blueColor) 0%, var(--blueColor) 100%);

    background: linear-gradient(to bottom, var(--blueColor) 0%, var(--blueColor) 100%);
}



table {
    margin: 0 auto;
    width: 100%;
    clear: both;
    border-collapse: collapse;
    table-layout: auto;
    word-wrap: normal;
}

table.dataTable {
    width: 100%;
    margin: 0 auto;
    clear: both;
    border-collapse: collapse;
    border-spacing: 0;
}

table.dataTable thead th, table.dataTable thead td {
    padding: 10px 18px;
    border-bottom: 1px solid #111;

}

table.dataTable tbody td {
    border-bottom: 1px solid #939393;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #111;
    margin-bottom: 20px;
}


/*.dataTables_wrapper .dataTables_filter{float:right !important}*/
/*.dataTables_wrapper .dataTables_filter input{margin-left:0.5em !important}*/

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
    content: '-' !important;
    background-color: #FF4235 !important;
}
table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control:before {
    top: 50%;
    left: 5px;
    height: 20px;
    width: 20px;
    margin-top: -13px;
    margin-right: 5px;
    display: block;
    position: absolute;
    color: white;
    border: 2px solid white;
    border-radius: 5px;
    font-weight: bold;
    box-shadow: none;
    box-sizing: unset;
    text-align: center;
    text-indent: 0 !important;
    font-family: 'Courier New', Courier, monospace;
    line-height: 20px;
    content: '+';
    background-color: #28B49D;
}

table.dataTable>tbody>tr.child ul.dtr-details>li {
    padding-top: 0;
    display: flex;
    justify-content: space-between;
}

@media only screen and (max-width: 600px) {
    .dataTables_wrapper .dataTables_length {
        float: left;
        display: none;
    }
}

/*div.dataTables_wrapper div.dataTables_filter{text-align:right}div.dataTables_wrapper div.dataTables_filter input{margin-left:0.5em}div.dataTables_wrapper div.dataTables_info{padding-top:10px;white-space:nowrap}div.dataTables_wrapper div.dataTables_processing{position:absolute;top:50%;left:50%;width:200px;margin-left:-100px;text-align:center}div.dataTables_wrapper div.dataTables_paginate{text-align:right}div.dataTables_wrapper div.mdl-grid.dt-table{padding-top:0;padding-bottom:0}div.dataTables_wrapper div.mdl-grid.dt-table>div.mdl-cell{margin-top:0;margin-bottom:0}table.dataTable thead>tr>th.sorting_asc,table.dataTable thead>tr>th.sorting_desc,table.dataTable thead>tr>th.sorting,table.dataTable thead>tr>td.sorting_asc,table.dataTable thead>tr>td.sorting_desc,table.dataTable thead>tr>td.sorting{padding-right:30px}table.dataTable thead>tr>th:active,table.dataTable thead>tr>td:active{outline:none}table.dataTable thead .sorting,table.dataTable thead .sorting_asc,table.dataTable thead .sorting_desc,table.dataTable thead .sorting_asc_disabled,table.dataTable thead .sorting_desc_disabled{cursor:pointer;position:relative}table.dataTable thead .sorting:before,table.dataTable thead .sorting:after,table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_asc:after,table.dataTable thead .sorting_desc:before,table.dataTable thead .sorting_desc:after,table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_asc_disabled:after,table.dataTable thead .sorting_desc_disabled:before,table.dataTable thead .sorting_desc_disabled:after{position:absolute;bottom:11px;display:block;opacity:0.3;font-size:1.3em}table.dataTable thead .sorting:before,table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_desc:before,table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_desc_disabled:before{right:1em;content:"\2191"}table.dataTable thead .sorting:after,table.dataTable thead .sorting_asc:after,table.dataTable thead .sorting_desc:after,table.dataTable thead .sorting_asc_disabled:after,table.dataTable thead .sorting_desc_disabled:after{right:0.5em;content:"\2193"}table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_desc:after{opacity:1}table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_desc_disabled:after{opacity:0}*/